routes/web.php
<?php

use App\Http\Controllers\Admin\BusinessController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Auth\LoginController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
})->name('home');

//auth routes
Route::group([],function(){
Route::get('/login',[LoginController::class,'login_form'])->name('login');
Route::post('/login',[LoginController::class,'login'])->name('login.store');
Route::post('/logout',[LoginController::class,'logout'])->name('logout');


});

// auth required routes
Route::group(['middleware'=>'auth'],function(){
    //admin routes
    Route::group(['middleware'=>'is_Admin','prefix'=>'admin'],function(){
        Route::get('/',[HomeController::class,'index'])->name('admin.home');

        Route::resource('/users',UserController::class);
        Route::resource('/categories',CategoryController::class);
        Route::resource('/businesses',BusinessController::class);
    });

});

app/Http/Controllers/Admin/BusinessController.php
<?php


namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\CreateBusinessRequest;
use App\Http\Requests\CreateCategoryRequest;
use App\Http\Requests\UpdateBusinessRequest;
use App\Http\Requests\UpdateCategoryRequest;
use Illuminate\Http\Request;
use App\Models\Business as ModelBusiness;

class BusinessController extends Controller
{
    //

/**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(ModelBusiness $user, Request $request)
    {


        $Businesses = ModelBusiness::orderBy('created_at', 'desc')->paginate(8);
        $name = 'Businesses';
        $data = $Businesses;

        return view('admin.Businesses.index', compact('Businesses', 'name', 'data'));
    }


  /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {

        return view('admin.Businesses.create');
    }



    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(CreateBusinessRequest $request)
    {

       // return $request;


        $business = new ModelBusiness();
        $business->name    = $request->input('name');
        $business->ar_name    = $request->input('ar_name');
        $business->type   = $request->input('type');
        $business->status   = $request->input('status');

        $business->description   = $request->input('description');
        $business->ar_description   = $request->input('ar_description');
        $business->address   = $request->input('address');
        $business->phone   = $request->input('phone');
        $business->avatar   = $request->input('avatar');

        $business->avatar_type   = $request->input('avatar_type');
        $business->website   = $request->input('website');

        $business->sub_category_id   = $request->input('sub_category_id');

        $business->save();

        return redirect()->route('businesses.index')->with('message', 'Business created successfully');

    }


     /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Request $request, ModelBusiness $business)
    {
        $this->authorize('view', $business);
        $products=ModelBusiness::where('id', $business->id)->orderBy('created_at','desc')->limit(6)->get();
        $name     = 'business';

        return view('admin.businesses.show', compact('business','name'));
    }



    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(ModelBusiness $business)
    {

        $name = 'businesses';

        return view('admin.businesses.update', compact('business', 'name'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateBusinessRequest $request,ModelBusiness $business)
    {
        //
        $business->save();
        return redirect()->route('businesses.index')->with('message', 'Business info updated');
    }



    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(ModelBusiness $business)
    {

            $business->delete();
            return redirect()->back()->with('message', 'Business deleted successfully');


    }







}

resources/views/admin/businesses/create.blade.php
@extends('layouts.resources.create')

@section('form')
@include('_includes.message')

<form class="d-flex flex-column " method="POST" action="{{route('businesses.store')}}">
    @csrf
    <div class="form-group">
        <label for="exampleFormControlInput1">Bussines name</label>
        <input type="name" name="name"  class="form-control" id="exampleFormControlInput1" placeholder="example">
      </div>

    <div class="form-group">
        <label for="exampleFormControlInput1">Bussines arabic name</label>
        <input type="name" name="ar_name"  class="form-control" id="exampleFormControlInput1" placeholder="example">
      </div>


      <div class="mb-3">
        <label for="exampleFormControlTextarea1" class="form-label">Description </label>
        <textarea class="form-control" name='description' id="exampleFormControlTextarea1" rows="3"></textarea>
      </div>

      <div class="mb-3">
        <label for="exampleFormControlTextarea1" class="form-label">Arabic description </label>
        <textarea class="form-control" name='ar_description' id="exampleFormControlTextarea1" rows="3"></textarea>
      </div>


      <div class="mb-3">
        <label for="formFileMultiple" class="form-label">Business avatar</label>
        <input class="form-control" name="avatar" type="file" id="formFileMultiple" multiple>
      </div>


      <div class="form-group">
        <label for="exampleFormControlSelect1">Avatar type </label>
        <select class="form-control" name="avatar_type" id="role">
          <option selected >-- Choose --</option>
          <option value="1" >URL </option>
          <option value="2">Storage</option>
        </select>
      </div>



      <div class="form-group">
        <label for="exampleFormControlSelect1">Select business type </label>
        <select class="form-control" name="type" id="role">
          <option selected >-- Choose --</option>
          <option value="1" >General </option>
          <option value="2">Resturant</option>
        </select>
      </div>


      <div class="form-group">
        <label for="exampleFormControlSelect1">Select business status  </label>
        <select class="form-control" name="status" id="role">
          <option selected >-- Choose --</option>
          <option value="1" >Accepted </option>
          <option value="2">Verified</option>
          <option value="3">Suspended</option>

        </select>
      </div>





    <button type="submit" class="btn btn-primary align-self-end">Submit</button>

</form>
@endsection

resources/views/admin/businesses/index.blade.php
@extends('layouts.resources.index')


@section('header')
<nav class="navbar d-flex justify-content-between navbar-expand-lg navbar-light bg-light  align-content-justify-end">
    <a class="navbar-brand " href="#">Businesses Management</a>

        <a type="submit" class="btn btn-primary   align-self-end"  href="{{route('businesses.create')}}">Add Business</a>

</nav>
@endsection
@section('table-header')
        <tr>
        <th scope="col">#</th>
        <th scope="col">Name</th>
        <th scope="col">ar_name</th>
        <th scope="col">sub category</th>
        <th scope="col">Joined</th>
        <th scope="col">Options</th>
        </tr>
@endsection



@section('table-body')
            @foreach ($data as $item)
           <tr>
                <td>{{$item->id}}</td>
             <td>{{$item->name}}</td>
             <td>{{$item->ar_name}}</td>
             <td>{{$item->sub_category_id}}</td>
            <td>{{$item->created_at}}</td>
           <td>
            <form method="POST"
            action="{{route('businesses.edit',$item)}}">
             @csrf
             @method('GET')
             <button type="submit" class="btn btn-success   align-self-end">Edit</button>
            </form>

                <form method="POST"
                action="{{route('businesses.destroy',$item->id)}}">
                 @csrf
                 @method('DELETE')
                <button type="submit" class="btn btn-danger   align-self-end">Delete</button>
            </form>


           </td>

            </tr>


            @endforeach

@endsection

resources/views/admin/businesses/update.blade.php
@extends('layouts.resources.update')

@section('form')
@include('_includes.message')
@php

@endphp
 <form class="d-flex flex-column "  method="POST" action="{{route('businesses.update', $business->id)}}">
    @csrf
    @method('PUT')
    <div class="form-group">
        <label for="exampleFormControlInput1">Business name</label>
        <input type="name" name="name"  class="form-control" id="exampleFormControlInput1" placeholder="{{$business->name}}">

      </div>

      <div class="form-group">
        <label for="exampleFormControlInput1">Business arabic name</label>
        <input type="name" name="ar_name"  class="form-control" id="exampleFormControlInput1" placeholder="{{$business->ar_name}}">


        <div class="form-group">
            <label for="exampleFormControlSelect1">Select business type </label>
            <select class="form-control" name="type" id="role">
              <option selected >-- Choose --</option>
              <option value="1" >General </option>
              <option value="2">Resturant</option>
            </select>
          </div>


          <div class="form-group">
            <label for="exampleFormControlSelect1">Select business status  </label>
            <select class="form-control" name="status" id="role">
              <option selected >-- Choose --</option>
              <option value="1" >Accepted </option>
              <option value="2">Verified</option>
              <option value="3">Suspended</option>

            </select>
          </div>




      </div>






    <button type="submit" class="btn btn-primary align-self-end">Update</button>

</form>
 @endsection